%define name cheops
%define version 0.60pre5
%define release 3

Summary: A graphical user interface for network management.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Internet
Source0: ftp://ftp.marko.net/pub/cheops/%{name}-%{version}.tar.gz
Source1: cheops.wmconfig
Url: http://www.marko.net/cheops/
BuildRoot: /var/tmp/%{name}-root

%description
Cheops provides a simple interface for seeing and accessing network
resources.  Cheops is written using GTK+ and uses ping, traceroute,
halfscan and QueSO to provide information to network managers.

%prep
%setup -q

%build
CC=egcs CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/{X11R6/bin,lib/cheops,share/cheops}

install -s cheops ${RPM_BUILD_ROOT}/usr/X11R6/bin
install pixmaps/*.xpm cheops.conf services.conf ${RPM_BUILD_ROOT}/usr/share/cheops
install plugins/*.so ${RPM_BUILD_ROOT}/usr/lib/cheops
strip -s $RPM_BUILD_ROOT/usr/lib/cheops/*

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
install -m 644 $RPM_SOURCE_DIR/cheops.wmconfig \
        $RPM_BUILD_ROOT/etc/X11/wmconfig/cheops

%post
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0755,root,root)
%attr(0644,root,root)	%doc COPYING README Changelog
/usr/X11R6/bin/cheops
%dir	/usr/share/cheops/
%config	/usr/share/cheops/cheops.conf
%config	/usr/share/cheops/services.conf
/usr/share/cheops/*.xpm
%dir	/usr/lib/cheops
/usr/lib/cheops/*.so
/etc/X11/wmconfig/cheops

%changelog
* Thu Aug 17 1999 Dale Lovelace <dale@redhat.com>
- added cheops.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- update to 60pre5
- built for 6.1

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.58

* Fri Dec 12 1998 Mark A. Spencer <markster@marko.net>
- Update to new cheops with plugin support

* Wed Dec 9 1998 Mark A. Spencer <markster@marko.net>
- Remove setuid permissions from cheops

* Tue Dec 8 1998 Michael Maher <mike@redhat.com>
- rebuilt rpm for powertools.  this was a great RPM.

* Mon Dec 7 1998 Charles Duffy <cduffy@bigfoot.com>
- Recompile against fixed GTK

* Mon Dec 7 1998 Mark A. Spencer <markster@marko.net>
- Fix permissions problems and incorporate RPM fixes from Tom <x@4t2.com>

* Sun Dec 6 1998 Mark A. Spencer <markster@marko.net>
- Initial Release.
